org.apache.maven.artifact.manager

## Interface WagonProviderMapping

- All Known Implementing Classes:
    DefaultWagonProviderMapping

      public interface WagonProviderMapping

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getWagonProvider(java.lang.String protocol)`
    `void` | `setWagonProvider(java.lang.String protocol, java.lang.String provider)`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### setWagonProvider

          void setWagonProvider(java.lang.String protocol,
                              java.lang.String provider)

    - #### getWagonProvider

          java.lang.String getWagonProvider(java.lang.String protocol)